%define upstream_name IRI
%define upstream_version 0.004

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Internationalized Resource Identifiers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GW/GWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Moo)
BuildRequires:	perl(MooX::HandlesVia)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(Types::Standard)
BuildRequires:	perl(URI)

Provides:	perl(IRI)

BuildArch:	noarch

%description
The IRI module is a Perl implementation of Internationalized Resource
Identifiers (IRIs) as defined by [RFC 3987]
(http://www.ietf.org/rfc/rfc3987.txt).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-4.mga6
+ Revision: 1028814
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-3.mga6
+ Revision: 967858
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.4.0-2.mga6
+ Revision: 850399
- Add provides

* Sat Jul 04 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 850393
- imported package perl-IRI

